Bug 950438 (CVE-2013-1940) - CVE-2013-1940 xorg-x11-server: Information disclosure due enabling events from hot-plug devices despite input from the device being momentarily disabled
Summary: CVE-2013-1940 xorg-x11-server: Information disclosure due enabling events fro...
Status: CLOSED ERRATA
Alias: CVE-2013-1940
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130417,reported=2...
Keywords: Security
Depends On: 952949 1015161 1016412
Blocks: 950455 974906
TreeView+ depends on / blocked
 
Reported: 2013-04-10 08:58 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:30 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-11-22 05:37:32 UTC


Attachments (Terms of Use)
Upstream patch (1.14 KB, patch)
2013-04-10 09:46 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1620 normal SHIPPED_LIVE Low: xorg-x11-server security and bug fix update 2013-11-20 21:54:02 UTC

Description Jan Lieskovsky 2013-04-10 08:58:06 UTC
An information disclosure flaw was found in the way X.org X11 server, an open source X Window System server implementation, used to register new hot-plug devices, when X.org X11 server was instructed (for that particular moment) not to receive input devices events. Formerly when registering new input device, X.org X11 server simultaneously enabled retrieval of input from the particular device (regardless of the setting). A local unsuspecting user, relying on the X.org X11 server disable input feature it to properly prohibit acquiring of events from this newly added hot-plug device, could supply a sensitive information that, due the above bug, would become available to the physically proximate attackers.

Comment 2 Jan Lieskovsky 2013-04-10 09:07:34 UTC
Acknowledgements:

This issue was found by David Airlie and Peter Hutterer of Red Hat.

Comment 3 Jan Lieskovsky 2013-04-10 09:16:58 UTC
This issue did NOT affect the version of the xorg-x11-server package, as shipped with Red Hat Enterprise Linux 5.

--

This issue affects the version of the xorg-x11-server package, as shipped with Red Hat Enterprise Linux 6.

Comment 4 Jan Lieskovsky 2013-04-10 09:17:32 UTC
This issue affects the versions of the xorg-x11-server package, as shipped with Fedora release of 17 and 18.

Comment 5 Huzaifa S. Sidhpurwala 2013-04-10 09:45:13 UTC
Upstream bug:

https://bugs.freedesktop.org/show_bug.cgi?id=63353

Comment 6 Huzaifa S. Sidhpurwala 2013-04-10 09:46:09 UTC
Created attachment 733595 [details]
Upstream patch

Comment 12 Huzaifa S. Sidhpurwala 2013-04-15 10:52:24 UTC
This issue has been classified as low impact because of the following reason(s):

In order to exploit this issue, the attacker needs to

- have an account on the target machine, or otherwise be able to start an app listening for key events.
- have physical access to the machine to hotplug the keyboard or some other device.
- be logged in at the time, but vt-switch away without the screen lock being activated.
- In order to capture passwords etc, the other-use needs to have a short enough password or the other user doesn't do anything else, otherwise the events will overrun the buffer and you only get a fraction of them

Comment 14 Huzaifa S. Sidhpurwala 2013-04-17 04:15:14 UTC
Created xorg-x11-server tracking bugs for this issue

Affects: fedora-all [bug 952949]

Comment 17 Fedora Update System 2013-04-20 01:17:28 UTC
xorg-x11-server-1.13.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2013-04-30 04:35:49 UTC
xorg-x11-server-1.14.0-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2013-06-07 23:29:47 UTC
xorg-x11-server-1.12.4-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 errata-xmlrpc 2013-11-21 11:29:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1620 https://rhn.redhat.com/errata/RHSA-2013-1620.html

Comment 24 Huzaifa S. Sidhpurwala 2013-11-22 05:37:32 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.